

#include "BUILTIN.h"
extern OBJ _ACom_47(OBJ,OBJ);extern OBJ __ACom_47;

#include "Nat.h"
extern OBJ __ASeq_6;
extern OBJ _AComCompose_3(OBJ,OBJ);extern OBJ __AComCompose_3;
extern OBJ _AEQUALITY_2(OBJ,OBJ);extern OBJ __AEQUALITY_2;

#include "ProcessComInterrupt.h"

#define __AProcessComInterrupt_AbreakOnInterrupt_L7 __AProcessComInterrupt_7
extern OBJ __AProcessComInterrupt_AbreakOnInterrupt_L7;

#define __AProcessComInterrupt_AbreakOnInterrupt_L8 __AProcessComInterrupt_8
extern OBJ __AProcessComInterrupt_AbreakOnInterrupt_L8;

#define __AProcessComInterrupt_AbreakOnInterrupt_L9 __AProcessComInterrupt_9
#define _AProcessComInterrupt_AbreakOnInterrupt_L9 _AProcessComInterrupt_9
#define AProcessComInterrupt_9 AProcessComInterrupt_AbreakOnInterrupt_L9
extern OBJ __AProcessComInterrupt_AbreakOnInterrupt_L9;
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L9(OBJ,OBJ);

#define __AProcessComInterrupt_AbreakOnInterrupt_L10 __AProcessComInterrupt_10
#define _AProcessComInterrupt_AbreakOnInterrupt_L10 _AProcessComInterrupt_10
#define AProcessComInterrupt_10 AProcessComInterrupt_AbreakOnInterrupt_L10
extern OBJ __AProcessComInterrupt_AbreakOnInterrupt_L10;
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L10(OBJ);

#define __AProcessComInterrupt_AbreakOnInterrupt_L11 __AProcessComInterrupt_11
#define _AProcessComInterrupt_AbreakOnInterrupt_L11 _AProcessComInterrupt_11
#define AProcessComInterrupt_11 AProcessComInterrupt_AbreakOnInterrupt_L11
extern OBJ __AProcessComInterrupt_AbreakOnInterrupt_L11;
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L11(OBJ,OBJ);
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt(OBJ);OBJ __AProcessComInterrupt_AbreakOnInterrupt; /* breakOnInterrupt */
extern OBJ _AProcessComInterrupt_Ainterrupted_(OBJ);OBJ __AProcessComInterrupt_Ainterrupted_; /* interrupted? */
OBJ __AProcessComInterrupt_Ainterrupted; /* interrupted */
extern OBJ _AProcessComInterrupt_AcEnableBreak(OBJ);OBJ __AProcessComInterrupt_AcEnableBreak; /* cEnableBreak */
extern OBJ _AProcessComInterrupt_AcDisableBreak(OBJ);OBJ __AProcessComInterrupt_AcDisableBreak; /* cDisableBreak */
OBJ __AProcessComInterrupt_AbreakOnInterrupt_L7; /* breakOnInterrupt'7 */
OBJ __AProcessComInterrupt_AbreakOnInterrupt_L8; /* breakOnInterrupt'8 */
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L9(OBJ,OBJ);OBJ __AProcessComInterrupt_AbreakOnInterrupt_L9; /* breakOnInterrupt'9 */
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L10(OBJ);OBJ __AProcessComInterrupt_AbreakOnInterrupt_L10; /* breakOnInterrupt'10 */
extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L11(OBJ,OBJ);OBJ __AProcessComInterrupt_AbreakOnInterrupt_L11; /* breakOnInterrupt'11 */
OBJ __AProcessComInterrupt_Ainterrupted_L12; /* interrupted'12 */

#include "ProcessComInterrupt.hc.c"

extern OBJ _AProcessComInterrupt_AbreakOnInterrupt(OBJ x1) /* breakOnInterrupt */
{OBJ r;
 CPPRD(__AProcessComInterrupt_AbreakOnInterrupt_L7,1);
 CPCLS(__AProcessComInterrupt_AbreakOnInterrupt_L11,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AProcessComInterrupt_AbreakOnInterrupt_L11,1))(__AProcessComInterrupt_AbreakOnInterrupt_L11,x1);
  r=_AComCompose_3(__AProcessComInterrupt_AbreakOnInterrupt_L7,x2);}
 return r;}

extern OBJ _AProcessComInterrupt_Ainterrupted_(OBJ x1) /* interrupted? */
{OBJ r;
 CPPRD(__AProcessComInterrupt_Ainterrupted,1);
 r=_AEQUALITY_2(x1,__AProcessComInterrupt_Ainterrupted);
 return r;}

extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L9(OBJ x1,OBJ x2) /* breakOnInterrupt'9 */
{OBJ r;
 CPCLS(__ACom_47,1);
 FRPRD(x2,1);
 {OBJ x3;
  x3=(*(OBJ(*)(OBJ,OBJ))METHOD(__ACom_47,1))(__ACom_47,x1);
  PRD(2,0,r);FLD(r,1)=x3;FLD(r,2)=__ASeq_6;}
 return r;}

extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L10(OBJ x1) /* breakOnInterrupt'10 */
{OBJ r;
 CPPRD(__AProcessComInterrupt_AbreakOnInterrupt_L8,1);
 CPCLS(__AProcessComInterrupt_AbreakOnInterrupt_L9,1);
 {OBJ x2;
  x2=(*(OBJ(*)(OBJ,OBJ))METHOD(__AProcessComInterrupt_AbreakOnInterrupt_L9,1))(__AProcessComInterrupt_AbreakOnInterrupt_L9,x1);
  r=_AComCompose_3(__AProcessComInterrupt_AbreakOnInterrupt_L8,x2);}
 return r;}

extern OBJ _AProcessComInterrupt_AbreakOnInterrupt_L11(OBJ x1,OBJ x2) /* breakOnInterrupt'11 */
{OBJ r;
 CPCLS(__AProcessComInterrupt_AbreakOnInterrupt_L10,1);
 FRPRD(x2,1);
 r=_AComCompose_3(x1,__AProcessComInterrupt_AbreakOnInterrupt_L10);
 return r;}




init_AProcessComInterrupt()
{
 static int visited=0; if(visited) return; visited=1;
 init_ACom();
 init_ANat();
 init_AVoid();
 init_ASeq();
 init_AOption();
 init_AComCompose();
 init_AEQUALITY();
 init_AProcessInterrupt();
 init_ASeqMap();
 DEN("interrupted",__AProcessComInterrupt_12);
 CLS(2,_AProcessComInterrupt_11,__AProcessComInterrupt_11);
 CLS(1,_AProcessComInterrupt_10,__AProcessComInterrupt_10);
 CLS(2,_AProcessComInterrupt_9,__AProcessComInterrupt_9);
 CLS(1,_AProcessComInterrupt_6,__AProcessComInterrupt_6);
 CLS(1,_AProcessComInterrupt_5,__AProcessComInterrupt_5);
 CLS(1,_AProcessComInterrupt_3,__AProcessComInterrupt_3);
 CLS(1,_AProcessComInterrupt_2,__AProcessComInterrupt_2);
 init_const_AProcessComInterrupt();
 /* __AProcessComInterrupt_Ainterrupted */
 CPPRD(__AProcessComInterrupt_Ainterrupted_L12,1);
 PRD(1,1,__AProcessComInterrupt_Ainterrupted);FLD(__AProcessComInterrupt_Ainterrupted,1)=__AProcessComInterrupt_Ainterrupted_L12;
 /* __AProcessComInterrupt_AbreakOnInterrupt_L7 */
 CPCLS(__AProcessComInterrupt_AcEnableBreak,1);
 PRD(2,0,__AProcessComInterrupt_AbreakOnInterrupt_L7);FLD(__AProcessComInterrupt_AbreakOnInterrupt_L7,1)=__AProcessComInterrupt_AcEnableBreak;FLD(__AProcessComInterrupt_AbreakOnInterrupt_L7,2)=__ASeq_6;
 /* __AProcessComInterrupt_AbreakOnInterrupt_L8 */
 CPCLS(__AProcessComInterrupt_AcDisableBreak,1);
 PRD(2,0,__AProcessComInterrupt_AbreakOnInterrupt_L8);FLD(__AProcessComInterrupt_AbreakOnInterrupt_L8,1)=__AProcessComInterrupt_AcDisableBreak;FLD(__AProcessComInterrupt_AbreakOnInterrupt_L8,2)=__ASeq_6;}

